[Unit]
Description=Fix for GDM incorrect logo upon initial boot
PartOf=multi-user.target
Before=default.target

# This service exists to fix the logo in GDM3 from displaying the Ubuntu logo.
# We'll also disable it to prevent it from running again. It needs to
# run before the first run of gdm3. Therefore, it needs to be installed and executed
# PRIOR to default.target, and the script it runs will disable this service from being
# executed again.

[Service]
Type=oneshot
StandardInput=tty
StandardOutput=tty
StandardError=tty
TTYPath=/dev/tty1
TTYReset=yes
TTYVHangup=yes
ExecStart=/usr/sbin/edubuntu-firstboot
Restart=no

[Install]
WantedBy=multi-user.target
